org.apache.pdfbox.pdmodel.common.filespecification

## Class PDSimpleFileSpecification

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.filespecification.PDFileSpecification
  - - org.apache.pdfbox.pdmodel.common.filespecification.PDSimpleFileSpecification

All Implemented Interfaces:
  COSObjectable

    public class PDSimpleFileSpecification
    extends PDFileSpecification

A file specification that is just a string.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`PDSimpleFileSpecification()` Constructor.
`PDSimpleFileSpecification(COSString fileName)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSBase` `getCOSObject()` Convert this standard java object to a COS object.
`String` `getFile()` This will get the file name.
`void` `setFile(String fileName)` This will set the file name.

### Methods inherited from class org.apache.pdfbox.pdmodel.common.filespecification.PDFileSpecification

`createFS`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDSimpleFileSpecification

    public PDSimpleFileSpecification()

Constructor.

#### PDSimpleFileSpecification

    public PDSimpleFileSpecification(COSString fileName)

Constructor.

Parameters:
  `fileName` - The file that this spec represents.

### Method Detail

#### getFile

    public String getFile()

This will get the file name.

Specified by:
  `getFile` in class `PDFileSpecification`
Returns:
  The file name.

#### setFile

    public void setFile(String fileName)

This will set the file name.

Specified by:
  `setFile` in class `PDFileSpecification`
Parameters:
  `fileName` - The name of the file.

#### getCOSObject

    public COSBase getCOSObject()

Convert this standard java object to a COS object.

Returns:
  The cos object that matches this Java object.